Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.corelib.components
Class GridColumns

    java.lang.Object
      org.apache.tapestry5.corelib.components.GridColumns

    @SupportsInformalParameters
    @Events(value="inplaceupdate (internal event)")
    public class GridColumns

extends java.lang.Object

Renders out the column headers for the grid, including links (where appropriate) to control column sorting.

Component Parameters
Name | Description | Type | Flags | Default | Default Prefix | Since
--- | --- | --- | --- | --- | --- | ---
gridModel | The object that provides access to bean and data models, which is typically the enclosing Grid component. | org.apache.tapestry5.grid.GridModel |  | componentResources.container | prop |
index | Optional output parameter that stores the current column index. | int |  |  | prop |
lean | If true, then the CSS class on each TH element will be omitted, which can reduce the amount of output from the component overall by a considerable amount. Leave this as false, the default, when you are leveraging the CSS to customize the look and feel of particular columns. | boolean |  |  | prop |
overrides | Where to look for informal parameter Blocks used to override column headers. The default is to look for such overrides in the GridColumns component itself, but this is usually overridden. | org.apache.tapestry5.PropertyOverrides |  | this | prop |
zone | If not null, then each link is output as a link to update the specified zone. | String |  |  | prop |

Events:

inplaceupdate
  (internal event)

Constructor Summary
`GridColumns()`

Method Summary
`Block` | `getBlockForColumn()`
`java.lang.Object` | `getColumnContext()`
`java.util.List<java.lang.String>` | `getColumnNames()`
`java.lang.String` | `getHeaderClass()`
`Asset` | `getIcon()`
`java.lang.String` | `getIconLabel()`
`java.lang.String` | `getSortLinkClass()`
`boolean` | `isActiveSortColumn()`
`boolean` | `isSortDisabled()`
`void` | `setColumnName(java.lang.String columnName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridColumns

    public GridColumns()

Method Detail

### isSortDisabled

    public boolean isSortDisabled()

### getSortLinkClass

    public java.lang.String getSortLinkClass()

### getHeaderClass

    public java.lang.String getHeaderClass()

### isActiveSortColumn

    public boolean isActiveSortColumn()

### getIcon

    public Asset getIcon()

### getColumnContext

    public java.lang.Object getColumnContext()

### getIconLabel

    public java.lang.String getIconLabel()

### getColumnNames

    public java.util.List<java.lang.String> getColumnNames()

### setColumnName

    public void setColumnName(java.lang.String columnName)

### getBlockForColumn

    public Block getBlockForColumn()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.